function LayoutFrame()
{
   var CancelButton = _level0.RequestButton("CancelButton","CancelButtonPlacement",_root.HelpMeidentifier);
   this.NextBtn = _level0.RequestButton("NextBtn","NextButtonPlacement",_root.HelpMeidentifier);
   this.BackBtn = _level0.RequestButton("BackBtn","BackButtonPlacement",_root.HelpMeidentifier);
   var GoBackBtn = _level0.RequestButton("GoBackBtn","GoBackButtonPlacement",_root.HelpMeidentifier);
   this.LongBtn = _level0.RequestButton("LongBtn","LongButtonPlacement",_root.HelpMeidentifier);
   this.MediumBtn = _level0.RequestButton("MediumBtn","MediumButtonPlacement",_root.HelpMeidentifier);
   CancelButton.TextBox.Text = _root.HelpMe_nav_button_cancel;
   this.NextBtn.TextBox.Text = _root.HelpMe_nav_button_next;
   this.BackBtn.TextBox.Text = _root.HelpMe_nav_button_back;
   GoBackBtn.TextBox.Text = _root.HelpMe_nav_button_goback;
   CancelButton.OnRelease = function()
   {
      _level0.FireSignal(_root.HelpMeidentifier,"exit");
   };
   this.NextBtn.OnRelease = function()
   {
      if(FrameNum < this.HelpWindow.NumberOfFrames())
      {
         HelpWindow.nextFrame();
         FrameNum++;
         if(1 < FrameNum)
         {
            this.BackBtn.SetDisabled(0);
            if(FrameNum == this.HelpWindow.NumberOfFrames())
            {
               this.NextBtn.SetDisabled(1);
            }
         }
      }
   };
   this.BackBtn.OnRelease = function()
   {
      if(1 < FrameNum)
      {
         this.HelpWindow.prevFrame();
         FrameNum--;
         if(FrameNum < this.HelpWindow.NumberOfFrames())
         {
            this.NextBtn.SetDisabled(0);
            if(FrameNum == 1)
            {
               this.BackBtn.SetDisabled(1);
            }
         }
      }
   };
   GoBackBtn.OnRelease = function()
   {
      AdditionalHelpReturnFrame();
   };
   _level0.AddTabOrder("NextBtn",_root.HelpMeidentifier,true);
   _level0.AddTabOrder("BackBtn",_root.HelpMeidentifier);
   _level0.AddTabOrder("GoBackBtn",_root.HelpMeidentifier);
   _level0.AddTabOrder("LongBtn",_root.HelpMeidentifier);
   _level0.AddTabOrder("MediumBtn",_root.HelpMeidentifier);
   _level0.AddTabOrder("CancelButton",_root.HelpMeidentifier);
   InitTemplate();
   this.HelpWindow = _level0.GetObjectReference("HelpWindow",_root.HelpMeidentifier);
   _root.LoadedSwfsContactInfo = _root.HelpMe_main_p_default;
   this.HelpWindow.FixTitle = _root.HelpMe_main_title;
   var tempLayoutOb = _level0.GetLayoutObject(_root.HelpMeidentifier);
   tempLayoutOb.LoadHelpSwf(_root.AdditionalHelpVarsSwfFile);
   this.FrameNum = 1;
   this.BackBtn.DefaultDisabled = 1;
}
function LoadAdditionalHelpVars()
{
   _root.HelpMeidentifier = _level0.SetLayoutObject("FixLayout",_target,"LayoutFrame",_root.HelpMeidentifier);
}
function HelpFileCreated()
{
   this.HelpWindow.JumpToScene(this.HelpScene);
   if(FrameNum == HelpWindow.NumberOfFrames())
   {
      this.NextBtn.SetDisabled(1);
   }
}
function ShowLongButton(strText)
{
   _root.LongBtn._visible = true;
   _root.LongBtn.TextBox.Text = strText;
}
function SetLongButtonRelease(pFunction)
{
   _root.LongBtn.OnRelease = pFunction;
}
function ShowMediumButton(strText)
{
   _root.MediumBtn._visible = true;
   _root.MediumBtn.TextBox.Text = strText;
}
function SetMediumButtonRelease(pFunction)
{
   _root.MediumBtn.OnRelease = pFunction;
}
function GetContactInfoString()
{
   return _root.LoadedSwfsContactInfo;
}
function InitTemplate()
{
   this.LongBtn.InitialVisibility = false;
   this.LongBtn.TextBox.Text = "";
   this.MediumBtn.InitialVisibility = false;
   this.MediumBtn.TextBox.Text = "";
}
stop();
